.pf-c-form.pf-m-horizontal.keycloak__form {
  margin: 0 1rem 0;
}

.activateCustomStyleSwitch {
  margin-bottom: 1rem;
}

.pf-c-form.pf-m-horizontal .pf-c-form__group {
  display: block !important; /* Change to block display */
}

.disabled-button {
  /* Adjust opacity to visually indicate disabled state */
  cursor: not-allowed; /* Change cursor to indicate non-interactivity */
  background-color: #8a8d90 !important;
}

.custom-styles-form {
  border: 1px solid #ccc;
  padding: 1rem;
  border-radius: 4px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-top: 1rem;
  text-align: left; /* Ensure all text and elements are aligned to the left */
}

.custom-styles-form .form-section {
  margin-bottom: 1.5rem;
  text-align: left; /* Left align the content in form sections */
}

.custom-styles-form .form-section label {
  display: block;
  margin-bottom: 0.5rem;
  font-weight: bold;
  text-align: left; /* Ensure the label text is left-aligned */
}

.custom-styles-form .button-group {
  margin-top: 1rem;
  text-align: left; /* Left align the button group */
}

.button-group .pf-c-button {
  margin-right: 1rem;
  text-align: left; /* Left align buttons */
}

.custom-styles-form .pf-c-form__label-text {
  text-align: left; /* Ensure text alignment to the left */
}

img.keycloak__pageheader_brand {
  height: 22px;
  margin-top: 0px !important;
}

.brute-force-section {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

.custom-table tbody td {
    text-align: center !important;
}

.pf-v5-c-nav__section-title.manhattan-iam-title {
  background-color: transparent;
  padding-top: 1rem;
  padding-bottom: 1rem;
  color: #fff;
  font-weight: 500;
  font-size: 1rem !important;
  letter-spacing: 1px;
  margin-bottom: 1.5rem;
  border-block-end: var(--pf-v5-c-nav__section-title--BorderBottomWidth) solid var(--pf-v5-c-nav__section-title--BorderBottomColor) !important;
  text-transform: uppercase;
}

.pf-v5-c-nav__section+.pf-v5-c-nav__section {
    margin-block-start: 1rem !important;
}

.pf-v5-c-nav__section-title {
  letter-spacing: 1px;
  font-weight: 500;
  margin: 0;
  border: 0 !important;
  text-transform: uppercase;
  color: grey;
}


.pf-v5-c-page__main-breadcrumb {
  background-color: #ffffff !important
}

.brute-force-section {
  padding-left: 1rem;
  padding-right: 1rem;
  background-color: #ffffff !important;
  min-height: 100vh;
}

.custom-split {
  width: 100%;
}

.custom-split-item {
  flex: 1;
}

.custom-input {
  width: 100%;
}

.custom-card-body {
  margin-top: 0;
  padding-top: 0;
}

.pf-c-card > .pf-c-divider + .pf-c-card__header,
.pf-c-card > .pf-c-divider + .pf-c-card__title,
.pf-c-card > .pf-c-divider + .pf-c-card__body,
.pf-c-card > .pf-c-divider + .pf-c-card__footer {
  padding-bottom: 0px;
}

.brute-force-heading {
  text-align: center;
  font-size: 1.2rem;
  font-weight: bold;
  margin: 1rem;
  color: #333;
  opacity: 0;
  transform: scale(0.5);
  animation: fadeInScaleUp 1s forwards cubic-bezier(0.25, 0.46, 0.45, 0.94);
  background-image: linear-gradient(to bottom, #0044ff, #00aaff);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

/* hide the welcome tab content */
#pf-tab-section-\/master\/welcome-welcome {
  display: none;
}

/* hide the welcome tab button itself */
#pf-tab-\/master\/welcome-welcome {
  display: none;
}

@keyframes fadeInScaleUp {
  from {
    opacity: 0;
    transform: scale(0.5);
  }
  to {
    opacity: 1;
    transform: scale(1);
  }
}

.toggle-switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.toggle-switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  border-radius: 34px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  border-radius: 50%;
}

input:checked + .slider {
  background-color: #4caf50;
}

input:focus + .slider {
  box-shadow: 0 0 1px #4caf50;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.table-with-border {
  border-collapse: collapse;
  width: 100%;
  border: 1px solid #ccc;
}

.table-with-border th,
.table-with-border td {
  border: 1px solid #ccc;
  padding: 8px;
  text-align: center;
  font-size: 1rem;
}

.heading-row {
  font-weight: bold;
  background-color: #8a8d90;
  color: white;
}

.top-row {
  background-color: #0260c3;
  color: white;
}

.custom-table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 0px;
}

.custom-table th,
.custom-table td {
  padding: 10px;
  text-align: left;
  border-bottom: 1px solid #ddd;
}

.custom-table th {
  background-color: #f2f2f2;
  font-weight: bold;
  text-align: center;
  color: white;
  background-color: #212427;
}

.custom-table tbody tr:nth-child(even) {
  background-color: #f2f2f2;
}

.custom-table tbody tr:hover {
  background-color: #e0e0e0;
}

.search-input {
  padding: 0px 0px 0px 40px;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 1rem;
  background-color: #fff;
  color: #333;
  box-sizing: border-box;
  width: 100%;
}

.search-input::placeholder {
  color: #999;
}

.search-container {
  position: relative;
  width: 100%;
}

.search-icon {
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: #0566cc;
  cursor: pointer;
}

#hidden-content-keycoakBruteForce,
#hidden-action-group-keycloakBruteForce {
  display: none !important;
}

.no-users-locked {
  border: 0.1px solid #ccc;
  padding: 50px;
  font-weight: bold;
  color: grey;
  text-align: center !important;
}

.hideSaveButton {
  display: none !important;
}

.hideRevertLink {
  display: none !important;
}
